#ifndef ARGONEUTEVD_PADDLESDRAWER_H
#define ARGONEUTEVD_PADDLESDRAWER_H
#include <vector>

#include "canvas/Persistency/Common/PtrVector.h"

#ifdef __ROOTCLING__
namespace art { 
  class Event;
}
#else
#include "art/Framework/Principal/Event.h"
#include "art/Framework/Principal/Handle.h"
#endif

namespace evdb{ 
  class View2D;
  class View3D;
}
namespace geo      { class Geometry; }
namespace t962     { class Paddles; } 



namespace argoevd {
  
  class PaddlesDrawer {
  public:
    PaddlesDrawer();
    ~PaddlesDrawer();
    
    void PaddlesOutline3D(evdb::View3D* view,
                          int paddlenumber,
                          int color);

    void DrawPaddlesInfo3D(const art::Event& evt,
                       evdb::View3D*     view);

#ifndef __ROOTCLING__
    void FindCoincidences(const art::Handle< t962::Paddles > p, int* color, int tol);
#endif // !__ROOTCLING__
 
  private:
 

     
  };
}

#endif
////////////////////////////////////////////////////////////////////////
